@set ARGS=%1 %2 %3 %4 %5 %6 %7 %8 %9
@if "%DEBUG%" == "" @echo off
@rem ###########################################################################
@rem  shoutdown mimdb-server.
@rem 
@rem  Copyright (c) 2014 masahito suzuki, Inc. All Rights Reserved.
@rem ###########################################################################

@rem @set JAVA_HOME=
@set PATH=.\
@set MEMORY=64

@set OPT=
@set BASE_OPT=-client -Xms%MEMORY%m -Xmx%MEMORY%m

if "%JAVA_HOME%" == ""  goto no_JAVA_HOME

@set JAVA_EXE=%JAVA_HOME%\bin\java.exe %BASE_OPT% %OPT%
goto next

:no_JAVA_HOME
set JAVA_EXE=java.exe %BASE_OPT% %OPT%

:next

set CLASSPATH=%PATH%mimdb-1.03.jar

set MAIN=org.maachang.mimdb.Shutdown

:invocation
%JAVA_EXE% %MAIN% %ARGS%

:end
